Subject: RE: [Simple] Instant Message Delivery and Read Reports

From: Goix Walter <[email-masked]>
Date: Tue, 17 May 2005 12:23:58 +0200

I've just gone through the document that is pretty interesting.
A couple of general comments/questions:

- Why is the draft limited to message/cpim? I understand there may be
the need to exchange id and delivery notification transparently no
matter the transport (MESSAGE, msrp or other), but then this may limit
its use to message/cpim content-type only. It may be interesting to have
an alternative solution at higher level that could also apply to other
content types, such as text/plain or others.
- For intermediary-type of behavior, it may be interesting to use
RLS-type of XML data format to get delivery information about  each
user. In this case, it may also be interesting to have the option to
request delivery notification through an event-based paradigm, as an
alternative to get notified 
- Is the 'timer' related to some Expires: header or similar to be
included in the message?

walter

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Hisham Khartabil
> Sent: Friday, May 06, 2005 11:51 AM
> To: [email-masked] WG
> Subject: Re: [Simple] Instant Message Delivery and Read Reports
> 
> 
> I was asked to shorten the name of the draft. It is now
> 
> http://www.ietf.org/internet-drafts/draft-khartabil-simple-im-report 
> -00.txt
> 
> Hisham
> 
> On May 4, 2005, at 3:50 PM, Hisham Khartabil wrote:
> 
> > I have submitted a new draft regarding IM delivery and read reports.
> > Until it appears in the archive, please pick up a copy from
> >
> > 
> http://www.imsbook.com/hisham/draft-khartabil->
simple-message-delivery-
> > read-report-00.txt
> >
> > Comments are most welcome about the idea of delivery and 
> read reports
> > for instant messages. Technical comments are also welcome at this  
> > point.
> >
> > Regards,
> > Hisham
> >
> >
> > _______________________________________________
> > Simple mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/simple
> >
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to
[email-masked]. Thank you
====================================================================

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 17 May 2005 10:06:38 -0400

> content types, such as text/plain or others.

The point of using CPIM is to decouple it from MSRP. "Limiting" it to 
CPIM does not prevent it from applying to other content precisely 
because CPIM is itself a wrapper type and may contain all those other 
types. CPIM becomes the higher level solution you are looking for.

> alternative to get notified 

Please say more - I don't have a clear idea what you have in mind. The 
problem with having the intermediary package of the reports is that it 
doesn't know how long to wait.

	Paul